# Copyright (c) 2000-2008, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%bcond_without tests
%bcond_without javadoc

%global ant_home %{_datadir}/ant
%global major_version 1.8

Name:           ant
Version:        1.9.2
Release:        %mkrel 2
Group:          Development/Java
Epoch:          0
Summary:        Build tool for java
Summary(it):    Tool per la compilazione di programmi java
Summary(fr):    Outil de compilation pour java
License:        ASL 2.0
URL:            http://ant.apache.org/
Source0:        http://archive.apache.org/dist/ant/source/apache-ant-%{version}-src.tar.bz2
Source2:        apache-ant-%{major_version}.ant.conf

# Fix some places where copies of classes are included in the wrong jarfiles
Patch4:         apache-ant-class-path-in-manifest.patch

BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  java-devel >= 0:1.5.0
BuildRequires:  ant
BuildRequires:  ant-junit
BuildRequires:  junit
BuildRequires:  xalan-j2
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis

Requires:       jpackage-utils >= 0:1.7.5
Requires:       java-devel >= 0:1.5.0
Requires:       perl
Requires:       python
Requires:       xerces-j2
Requires:       xml-commons-apis

Obsoletes:      %{name}-scripts < %{epoch}:%{version}-%{release}
Provides:       %{name}-scripts = %{epoch}:%{version}-%{release}

BuildArch:      noarch

%description
Ant is a platform-independent build tool for java. It's used by apache
jakarta and xml projects.

%description -l fr
Ant est un outil de compilation multi-plateformes pour java. Il est
utilisé par les projets apache-jakarta et apache-xml.

%description -l it
Ant e' un tool indipendente dalla piattaforma creato per faciltare la
compilazione di programmi java.
Allo stato attuale viene utilizzato dai progetti apache jakarta ed
apache xml.

%package jmf
Summary:        Optional jmf tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description jmf
Optional jmf tasks for %{name}.

%description jmf -l fr
Taches jmf optionelles pour %{name}.

%package swing
Summary:        Optional swing tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description swing
Optional swing tasks for %{name}.

%description swing -l fr
Taches swing optionelles pour %{name}.

%package antlr
Summary:        Optional antlr tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       antlr
BuildRequires:  antlr

%description antlr
Optional antlr tasks for %{name}.

%description antlr -l fr
Taches antlr optionelles pour %{name}.

%package apache-bsf
Summary:        Optional apache bsf tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       bsf
BuildRequires:  bsf

%description apache-bsf
Optional apache bsf tasks for %{name}.

%description apache-bsf -l fr
Taches apache bsf optionelles pour %{name}.

%package apache-resolver
Summary:        Optional apache resolver tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       xml-commons-resolver
BuildRequires:  xml-commons-resolver

%description apache-resolver
Optional apache resolver tasks for %{name}.

%description apache-resolver -l fr
Taches apache resolver optionelles pour %{name}.

%package commons-logging
Summary:        Optional commons logging tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       apache-commons-logging
BuildRequires:  apache-commons-logging

%description commons-logging
Optional commons logging tasks for %{name}.

%description commons-logging -l fr
Taches commons logging optionelles pour %{name}.

%package commons-net
Summary:        Optional commons net tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       apache-commons-net
BuildRequires:  apache-commons-net

%description commons-net
Optional commons net tasks for %{name}.

%description commons-net -l fr
Taches commons net optionelles pour %{name}.

# Disable because we don't ship the dependencies
%if 0
%package jai
Summary:        Optional jai tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jai
BuildRequires:  jai

%description jai
Optional jai tasks for %{name}.

%description jai -l fr
Taches jai optionelles pour %{name}.
%endif

%package apache-bcel
Summary:        Optional apache bcel tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       bcel
BuildRequires:  bcel

%description apache-bcel
Optional apache bcel tasks for %{name}.

%description apache-bcel -l fr
Taches apache bcel optionelles pour %{name}.

%package apache-log4j
Summary:        Optional apache log4j tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       log4j
BuildRequires:  log4j

%description apache-log4j
Optional apache log4j tasks for %{name}.

%description apache-log4j -l fr
Taches apache log4j optionelles pour %{name}.

%package apache-oro
Summary:        Optional apache oro tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jakarta-oro
BuildRequires:  jakarta-oro

%description apache-oro
Optional apache oro tasks for %{name}.

%description apache-oro -l fr
Taches apache oro optionelles pour %{name}.

%package apache-regexp
Summary:        Optional apache regexp tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       regexp
BuildRequires:  regexp

%description apache-regexp
Optional apache regexp tasks for %{name}.

%description apache-regexp -l fr
Taches apache regexp optionelles pour %{name}.

%package apache-xalan2
Summary:        Optional apache xalan2 tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       regexp
BuildRequires:  regexp
Requires:       xalan-j2

%description apache-xalan2
Optional apache xalan2 tasks for %{name}.

%description apache-xalan2 -l fr
Taches apache xalan2 optionelles pour %{name}.

%package javamail
Summary:        Optional javamail tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       javamail >= 0:1.2-5jpp
BuildRequires:  javamail >= 0:1.2-5jpp

%description javamail
Optional javamail tasks for %{name}.

%description javamail -l fr
Taches javamail optionelles pour %{name}.

%package jdepend
Summary:        Optional jdepend tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jdepend
BuildRequires:  jdepend

%description jdepend
Optional jdepend tasks for %{name}.

%description jdepend -l fr
Taches jdepend optionelles pour %{name}.

%package jsch
Summary:        Optional jsch tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       jsch
BuildRequires:  jsch

%description jsch
Optional jsch tasks for %{name}.

%description jsch -l fr
Taches jsch optionelles pour %{name}.

%package junit
Summary:        Optional junit tasks for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       junit
Requires:       xalan-j2

%description junit
Optional junit tasks for %{name}.

%description junit -l fr
Taches junit optionelles pour %{name}.

%package testutil
Summary:        Test utility classes for %{name}
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:       junit

%description testutil
Test utility tasks for %{name}.

%package manual
Summary:        Manual for %{name}

%description manual
Documentation for %{name}.

%description manual -l it
Documentazione di %{name}.

%description manual -l fr
Documentation pour %{name}.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%description javadoc -l fr
Javadoc pour %{name}.

# -----------------------------------------------------------------------------

%prep
%setup -q -n apache-ant-%{version}
#Fixup version
find -name build.xml -o -name pom.xml | xargs sed -i -e s/-SNAPSHOT//

# Fix class-path-in-manifest rpmlint warning
%patch4

# clean jar files
find . -name "*.jar" | %{_bindir}/xargs -t rm

# failing testcases. TODO see why
rm src/tests/junit/org/apache/tools/ant/types/selectors/SignedSelectorTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/condition/IsFileSelectedTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/condition/IsSignedTest.java \
   src/tests/junit/org/apache/tools/ant/taskdefs/JarTest.java \
   src/tests/junit/org/apache/tools/mail/MailMessageTest.java

#install jars
build-jar-repository -s -p lib/optional antlr bcel javamail/mailapi jdepend junit log4j oro regexp bsf commons-logging commons-net jsch xalan-j2 xml-commons-resolver xalan-j2-serializer xerces-j2 xml-commons-apis

# Fix file-not-utf8 rpmlint warning
iconv KEYS -f iso-8859-1 -t utf-8 -o KEYS.utf8
mv KEYS.utf8 KEYS
iconv LICENSE -f iso-8859-1 -t utf-8 -o LICENSE.utf8
mv LICENSE.utf8 LICENSE

%build
%{ant} jars test-jar

%if %with javadoc
export CLASSPATH=$(build-classpath antlr bcel javamail/mailapi jdepend junit log4j oro regexp bsf commons-logging commons-net jsch xalan-j2 xml-commons-resolver xerces-j2 xml-commons-apis)
%{ant} javadocs
%endif

#remove empty jai and netrexx jars. Due to missing dependencies they contain only manifests.
rm -fr build/lib/ant-jai.jar build/lib/ant-netrexx.jar
# -----------------------------------------------------------------------------

%install
# ANT_HOME and subdirs
mkdir -p $RPM_BUILD_ROOT%{ant_home}/{lib,etc,bin}

# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}

for jar in build/lib/*.jar
do
  # Make sure that installed JARs are not empty
  jar tf ${jar} | egrep -q *.class

  jarname=$(basename $jar .jar)
  pomname="JPP.%{name}-${jarname}.pom"

  #instal jar
  install -m 644 ${jar} $RPM_BUILD_ROOT%{_javadir}/%{name}/${jarname}.jar
  # jar aliases
  ln -sf ../../java/%{name}/${jarname}.jar $RPM_BUILD_ROOT%{ant_home}/lib/${jarname}.jar

  #bootstrap does not have a pom
  [ $jarname == ant-bootstrap ] && continue

  # add backward compatibility for nodeps jar that is now part of main
  # jar
  alias=
  [ $jarname == ant ] && alias=org.apache.ant:ant-nodeps

  #install pom
  install -p -m 644 src/etc/poms/${jarname}/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/${pomname}
  %add_maven_depmap ${pomname} %{name}/${jarname}.jar -a "${alias}" -f ${jarname/ant-/}
done

for mod in ant ant-bootstrap ant-launcher; do
    ln -sf %{name}/${mod}.jar $RPM_BUILD_ROOT%{_javadir}
done

#ant-parent pom
install -p -m 644 src/etc/poms/pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom

# scripts: remove dos and os/2 scripts
rm -f src/script/*.bat
rm -f src/script/*.cmd

# XSLs
cp -p src/etc/*.xsl $RPM_BUILD_ROOT%{ant_home}/etc

# install everything else
mkdir -p $RPM_BUILD_ROOT%{_bindir}
cp -p src/script/* $RPM_BUILD_ROOT%{_bindir}
ln -sf %{_bindir}/ant $RPM_BUILD_ROOT%{ant_home}/bin/
ln -sf %{_bindir}/antRun $RPM_BUILD_ROOT%{ant_home}/bin/

# default ant.conf
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.conf

# OPT_JAR_LIST fragments
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d
echo "ant/ant-jmf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jmf
echo "ant/ant-swing" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/swing
echo "antlr ant/ant-antlr" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/antlr
echo "bsf ant/ant-apache-bsf" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bsf
echo "xml-commons-resolver ant/ant-apache-resolver" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-resolver
echo "apache-commons-logging ant/ant-commons-logging" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-logging
echo "apache-commons-net ant/ant-commons-net" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/commons-net
#echo "jai ant/ant-jai" > $RPM_BUILD_ROOT%%{_sysconfdir}/%%{name}.d/jai
echo "bcel ant/ant-apache-bcel" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-bcel
echo "log4j ant/ant-apache-log4j" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-log4j
echo "oro ant/ant-apache-oro" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-oro
echo "regexp ant/ant-apache-regexp" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-regexp
echo "xalan-j2 xalan-j2-serializer ant/ant-apache-xalan2" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/apache-xalan2
echo "javamail jaf ant/ant-javamail" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/javamail
echo "jdepend ant/ant-jdepend" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jdepend
echo "jsch ant/ant-jsch" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/jsch
echo "junit ant/ant-junit" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/junit
echo "junit ant/ant-junit4" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/junit4
echo "testutil ant/ant-testutil" > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}.d/testutil

%if %with javadoc
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}
%endif

# fix link between manual and javadoc
(cd manual; ln -sf %{_javadocdir}/%{name} api)

%if %with tests
%check
%{ant} test
%endif

%files -f .mfiles
%files -f .mfiles-ant
%files -f .mfiles-launcher
%doc KEYS LICENSE NOTICE README WHATSNEW
%config(noreplace) %{_sysconfdir}/%{name}.conf
%attr(0755,root,root) %{_bindir}/ant
%attr(0755,root,root) %{_bindir}/antRun
%attr(0755,root,root) %{_bindir}/*.pl
%attr(0755,root,root) %{_bindir}/*.py*
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-launcher.jar
%{_javadir}/%{name}-bootstrap.jar
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/%{name}-bootstrap.jar
%dir %{ant_home}
%dir %{ant_home}/bin
%{ant_home}/bin/ant
%{ant_home}/bin/antRun
%dir %{ant_home}/etc
%{ant_home}/etc/ant-update.xsl
%{ant_home}/etc/changelog.xsl
%{ant_home}/etc/coverage-frames.xsl
%{ant_home}/etc/mmetrics-frames.xsl
%{ant_home}/etc/log.xsl
%{ant_home}/etc/tagdiff.xsl
%{ant_home}/etc/junit-frames-xalan1.xsl
%{ant_home}/etc/common2master.xsl
%{ant_home}/etc/printFailingTests.xsl
%dir %{ant_home}/lib
%{ant_home}/lib/%{name}.jar
%{ant_home}/lib/%{name}-launcher.jar
%{ant_home}/lib/%{name}-bootstrap.jar
%dir %{_sysconfdir}/%{name}.d

%files jmf -f .mfiles-jmf
%{ant_home}/lib/%{name}-jmf.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jmf

%files swing -f .mfiles-swing
%{ant_home}/lib/%{name}-swing.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/swing

%files antlr -f .mfiles-antlr
%{ant_home}/lib/%{name}-antlr.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/antlr

%files apache-bsf -f .mfiles-apache-bsf
%{ant_home}/lib/%{name}-apache-bsf.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bsf

%files apache-resolver -f .mfiles-apache-resolver
%{ant_home}/lib/%{name}-apache-resolver.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-resolver

%files commons-logging -f .mfiles-commons-logging
%defattr(-,root,root,-)
%{ant_home}/lib/%{name}-commons-logging.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-logging

%files commons-net -f .mfiles-commons-net
%{ant_home}/lib/%{name}-commons-net.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/commons-net

# Disable as we dont ship the dependencies
%if 0
%files jai -f .mfiles-jai
%{ant_home}/lib/%{name}-jai.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jai
%endif

%files apache-bcel -f .mfiles-apache-bcel
%{ant_home}/lib/%{name}-apache-bcel.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-bcel

%files apache-log4j -f .mfiles-apache-log4j
%{ant_home}/lib/%{name}-apache-log4j.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-log4j

%files apache-oro -f .mfiles-apache-oro
%{ant_home}/lib/%{name}-apache-oro.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-oro
%{ant_home}/etc/maudit-frames.xsl

%files apache-regexp -f .mfiles-apache-regexp
%{ant_home}/lib/%{name}-apache-regexp.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-regexp

%files apache-xalan2 -f .mfiles-apache-xalan2
%{ant_home}/lib/%{name}-apache-xalan2.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/apache-xalan2

%files javamail -f .mfiles-javamail
%{ant_home}/lib/%{name}-javamail.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/javamail

%files jdepend -f .mfiles-jdepend
%{ant_home}/lib/%{name}-jdepend.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jdepend
%{ant_home}/etc/jdepend.xsl
%{ant_home}/etc/jdepend-frames.xsl

%files jsch -f .mfiles-jsch
%{ant_home}/lib/%{name}-jsch.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/jsch

%files junit -f .mfiles-junit
%files junit -f .mfiles-junit4
%{ant_home}/lib/%{name}-junit.jar
%{ant_home}/lib/%{name}-junit4.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/junit
%config(noreplace) %{_sysconfdir}/%{name}.d/junit4
%{ant_home}/etc/junit-frames.xsl
%{ant_home}/etc/junit-noframes.xsl

%files testutil -f .mfiles-testutil
%{ant_home}/lib/%{name}-testutil.jar
%config(noreplace) %{_sysconfdir}/%{name}.d/testutil

%files manual
%doc LICENSE NOTICE
%doc manual/*

%if %with javadoc
%files javadoc
%doc LICENSE NOTICE
%{_javadocdir}/%{name}
%endif



%changelog
* Mon Oct 21 2013 umeabot <umeabot> 0:1.9.2-2.mga4
+ Revision: 537406
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 dmorgan <dmorgan> 0:1.9.2-1.mga4
+ Revision: 486933
- New version

* Mon Jul 29 2013 dmorgan <dmorgan> 0:1.9.1-3.mga4
+ Revision: 460212
- Remove wrongly added ant-nodeps provide

* Mon Jul 29 2013 joequant <joequant> 0:1.9.1-2.mga4
+ Revision: 460196
- add provides ant-nodeps to fix dependency errors

* Fri Jul 12 2013 dmorgan <dmorgan> 0:1.9.1-1.mga4
+ Revision: 453447
- New version

* Mon Jul 08 2013 dmorgan <dmorgan> 0:1.8.4-6.mga4
+ Revision: 451127
- Fix licence tag

* Fri Jan 11 2013 umeabot <umeabot> 0:1.8.4-5.mga3
+ Revision: 345577
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 04 2012 dmorgan <dmorgan> 0:1.8.4-4.mga3
+ Revision: 326628
- Build with Java7

* Sun Oct 28 2012 dmorgan <dmorgan> 0:1.8.4-3.mga3
+ Revision: 311252
- Java Stack Mass Rebuild
- Removed checking for classpath duplicates

* Fri Jun 29 2012 dmorgan <dmorgan> 0:1.8.4-1.mga3
+ Revision: 265180
- New version 1.8.4

* Mon Jan 09 2012 dmorgan <dmorgan> 0:1.8.2-6.mga2
+ Revision: 194318
- Sync with fedora :
  	- Make scripts executable.
  	- Adapt to current guidelines.
  	- Fix xalan-j2 subpackage path.
- Fix groups
- Fix xalan-j2 subpackage path.

* Mon Feb 07 2011 pterjan <pterjan> 0:1.8.2-4.mga1
+ Revision: 48580
- Remove file deps

* Tue Jan 25 2011 dmorgan <dmorgan> 0:1.8.2-3.mga1
+ Revision: 39569
- Build without bootstrap

* Tue Jan 18 2011 dmorgan <dmorgan> 0:1.8.2-2.mga1
+ Revision: 22302
- Bump release
- Disable bootstrap

* Tue Jan 18 2011 dmorgan <dmorgan> 0:1.8.2-1.mga1
+ Revision: 22179
- Add missing define
- Add buildrequires
- Enable bootstrap
- New version 1.8.2
  Sync with fedora spec file

  + pterjan <pterjan>
    - Disable bootstrap

* Sat Jan 15 2011 dmorgan <dmorgan> 0:1.7.1-7.0.6.mga1
+ Revision: 18706
- Enable bootstrap
- Remove empty condition
- Do not build log4j subpackage in bootstrap
- imported package ant


* Mon Nov 29 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.6mdv2011.0
+ Revision: 603178
- rebuild

* Tue Mar 16 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.5mdv2010.1
+ Revision: 521939
- rebuilt for 2010.1

* Tue Aug 18 2009 Jaroslav Tulach <jtulach@mandriva.org> 0:1.7.1-7.0.4mdv2010.0
+ Revision: 417736
- Simplifying dependencies. Requiring java 1.6 and removing special dependencies on various XML tools as they are part of java 1.6 already

* Sun Aug 09 2009 Oden Eriksson <oeriksson@mandriva.com> 0:1.7.1-7.0.3mdv2010.0
+ Revision: 413027
- rebuild

* Sun Jan 11 2009 Jérôme Soyer <saispo@mandriva.org> 0:1.7.1-7.0.2mdv2009.1
+ Revision: 328397
- Rebuild with new python

* Sun Aug 03 2008 David Walluck <walluck@mandriva.org> 0:1.7.1-7.0.1mdv2009.0
+ Revision: 261724
- BuildRequires: java-rpmbuild
- 1.7.1

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.12mdv2008.1
+ Revision: 147620
- full build

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.11mdv2008.1
+ Revision: 147571
- bump release
- require xerces-j2 when not bootsrapped

* Thu Jan 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.7.0-3.3.10mdv2008.1
+ Revision: 147569
- bump release
- xerces-j2 is needed when not bootstrapping

  + David Walluck <walluck@mandriva.org>
    - explicitly require geronimo for jaf and javamail

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.8mdv2008.1
+ Revision: 120826
- buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Wed Dec 12 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.7mdv2008.1
+ Revision: 119006
- add apache-ant-jars.patch

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.6mdv2008.0
+ Revision: 87188
- rebuild to filter out autorequires on GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Fri Sep 14 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.5mdv2008.0
+ Revision: 85587
- remove Conflicts and instead just Provide/Obsolete them

* Fri Sep 14 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.4mdv2008.0
+ Revision: 85487
- remove jpprelease
- Provides all Obsoletes
- version Provides and Obsoletes

* Thu Aug 23 2007 Thierry Vignaud <tv@mandriva.org> 0:1.7.0-3.3.3mdv2008.0
+ Revision: 70143
- kill file require on perl-base

* Wed Jul 18 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.3.2mdv2008.0
+ Revision: 53179
- use xml-commons-jaxp-1.3-apis and xml-commons-resolver12 explicitely
  instead of the generic xml-commons-apis and xml-commons-resolver which
  are provided by multiple packages (see bug #31473)

* Sun Jul 08 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3.1mdv2008.0
+ Revision: 49926
- fix java-devel (Build)Requires with gcj_support enabled
- force xerces-j2 requirement
- set OPT_JAR_LIST=: during build

* Fri Jul 06 2007 David Walluck <walluck@mandriva.org> 0:1.7.0-3.3mdv2008.0
+ Revision: 48856
- fix native2ascii task under GNU java

* Tue Jul 03 2007 Anssi Hannula <anssi@mandriva.org> 0:1.7.0-3.2mdv2008.0
+ Revision: 47572
- rebuild with new libgcj


* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 1.7.0-3.1mdv2007.1
+ Revision: 138123
- remove unused patch

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:1.7.0-3mdv2007.1
+ Revision: 102757
- require xml-commons-resolver12 instead of xml-commons-resolver
- disable bootstrap

* Sat Dec 30 2006 David Walluck <walluck@mandriva.org> 0:1.7.0-1mdv2007.1
+ Revision: 102726
- fix bootstrap build
- enable bootstrap
- 1.7.0
- Import ant

* Wed Aug 09 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-21mdv2007.0
- BuildRequires: ant if not bootstrap

* Fri Aug 04 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-20mdv2007.0
- use bcond for bootstrap

* Fri Jul 14 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-19mdv2007.0
- set CLASSPATH= for bootstrap

* Fri Jul 14 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-18mdv2007.0
- use Conflicts instead of Obsoletes

* Thu May 25 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-17mdv2007.0
- use %%{clean_gcj} also
- add missing %%{clean_gcj} entries
- add option to turn off javadoc generation
- add xalan-j2-serializer to %%{_sysconfdir}/ant.d/ant-trax

* Sat Mar 04 2006 Giuseppe Ghib <ghibo@mandriva.com>  0:1.6.5-16mdk
- Use %%update_gcjdb

* Sun Jan 15 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-15mdk
- BuildRequires: java-devel

* Fri Jan 13 2006 David Walluck <walluck@mandriva.org> 0:1.6.5-14mdk
- (Build)Requires: xml-commons-apis

* Wed Dec 07 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-13mdk
- call aot-compile-rpm without path

* Tue Nov 29 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-12mdk
- fix aot-compile-rpm location

* Fri Nov 11 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-11mdk
- BuildRequires: ant if not bootstrap
- fix ant-jai file
- fix commons-net post scripts

* Sun Nov 06 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-10mdk
- apply Red Hat patch for javah task

* Fri Oct 28 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-9mdk
- enable rpm_mode in ant script instead of ant.conf

* Wed Oct 26 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-8mdk
- set rpm_mode=true by default in ant.conf

* Mon Sep 12 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-7mdk
- create a javah task from the kaffeh task

* Fri Sep 09 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-6mdk
- fix bootstrap

* Fri Sep 09 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-5mdk
- add gcj native libs

* Thu Sep 08 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-4mdk
- obsoletes/provides ant-bootstrap

* Wed Aug 17 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-3mdk
- add %%mkrel
- fix bootstrap

* Wed Aug 17 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-2mdk
- add Conflicts: j2sdk-ant

* Mon Aug 15 2005 David Walluck <walluck@mandriva.org> 0:1.6.5-1mdk
- 1.6.5

* Tue May 24 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.3mdk
- add support for jai
- add manifest-only jars

* Fri May 13 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.2mdk
- rebuild as non-bootstrap
- add support for bsf and commons-net

* Sun May 08 2005 David Walluck <walluck@mandriva.org> 0:1.6.2-3.1mdk
- release

* Sat Apr 09 2005 Andrew Overholt <overholt@redhat.com> 1.6.2-3jpp_4fc
- Back out ant-apache-javac-ecj.patch and ant.orig changes as they stop eclipse
  from building.

* Wed Mar 30 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_3fc
- Add NOTICE file as per Apache License version 2.0.
- Remove some now unnecessary gcj workarounds.
- Add the jsch subpackage since we now ship jsch.

* Thu Jan 20 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_2fc
- Use jdtcore.jar instead of ecj.jar when running under libgcj.

* Wed Jan 12 2005 Gary Benson <gbenson at redhat.com> 0:1.6.2-3jpp_1fc
- Upgrade to latest version.

* Wed Jan 12 2005 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_7fc
- Explicitly require java-devel to make beehive play nice.

* Mon Nov 08 2004 Gary Benson <gbenson at redhat.com> - 0:1.6.2-3jpp
- Build OPT_JAR_LIST from files in /etc/ant.d.

* Thu Nov 04 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_6fc
- Build into Fedora.

* Mon Nov 01 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_5fc
- Explicitly require xerces-j2 to make beehive play nice.

* Mon Nov 01 2004 Gary Benson <gbenson at redhat.com> 0:1.6.1-1jpp_4fc
- Bootstrap into Fedora.

* Tue Sep 07 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.2-2jpp
- Fix to backward compatibility symbolic links.

* Wed Aug 18 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.2-1jpp
- Update to Ant 1.6.2

* Fri Aug 06 2004 Fernando Nasser <fnasser at redhat.com> - 0:1.6.1-2jpp
- Remove incorrect noreplace option for ant.conf; it can't be used anymore
  because the sub-packages update that file.
- Add patch to fix temp directory used for file containing large
  command strings (> 4k)

* Wed Jun 02 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Extend subpackage builds to update ant.conf

* Tue Mar 23 2004 Randy Watler <rwatler at finali.com> - 0:1.6.1-1jpp
- Update to Ant 1.6.1
- Change ant launch script to source instead of patch
- Move optional components to ant subdirectory: %%{_javadir}/%%{name}
- Remove os/2 scripts and set JAVA_HOME for build

